TYPO3 Core - Bug #36292

Bug # 46389 (Closed): Faulty Workspace Placeholders

Rolling back deletion of a draft element fails and will undelete the placeholder

2012-04-18 13:55 - Bart Dubelaar

Status: Rejected Start date: 2012-04-18
Priority: Should have Due date:

Assignee: % Done: 0%
Category: Workspaces Estimated time: 0.00 hour
Target version:

TYPOS3 Version: 4.5 Complexity:

PHP Version: Is Regression: No

Tags: Sprint Focus:

Description

When rolling back the deletion of an element that was initially created in a draft workspace, then the undeletion fails. Instead, the

placeholder element will become visible in the live workspace.

Holds for version 4.5 and up.

Related issues:

Related to TYPO3 Core - Bug #21299: Can't restore a deleted page in draft wor...

Closed

2009-10-19

History

#1 - 2012-04-26 10:20 - Bart Dubelaar

| have tried to write a fix for this problem and stumbled upon the following problem:

When a new draft element is deleted, both the draft element and the placeholder are moved to the Live workspace in the delete action.
This makes it hard to undelete the elements. So | am very interested in why this move is done. Maybe someone else can give a look at this.
| already tried to find out who committed this initially, and after a lot of digging | found out it was a commit to svn by Kasper, with the following

informative message:

r835 | kasper | 2005-10-31 18:20:38 +0100

Todays special
=)

#2 - 2013-03-17 21:09 - Oliver Hader
- Parent task set to #46389

#3 - 2015-01-15 12:36 - Mathias Schreiber
- Target version setto 7 LTS

- Is Regression set to No

#4 - 2015-10-28 13:21 - Mathias Schreiber
- Category set to Workspaces

- Target version deleted (7 LTS)

#5 - 2020-03-20 17:17 - Oliver Hader

- Status changed from New to Rejected

Could not reproduce anymore in TYPO3 v9
